{% comment %}ly_global_begin{% endcomment %}{% include 'ly-global' %}{% comment %}ly_global_end{% endcomment %}
{% include 'nav-color' %}
<style>
  .menu-link, .menu-desktop-close {
    color: {{ text_color }};
  }

  .filter {
    color: white;
  }

  .menu, .menu-bar, .filter {
    background-color: {{ bg_color }};
  }
</style>

{% include 'search-drawer' %}

<section class="header off" data-section-id="{{ section.id }}" data-section-type="header-section" data-header-section>

  <div class="navigation" id="AccessibleNav">
    <div class="menu-container">
      <div class="menu-inner mobile-nav-wrapper">
        <a class="menu-link mobile-menu-link control-link js-mobile-nav-toggle"><ly-as-10725375>Menu</ly-as-10725375></a>
        <a class="menu-link desktop-menu-link" data-menu="shop"><ly-as-10725376>Shop</ly-as-10725376></a>
        <a class="menu-link desktop-menu-link" data-menu="brands"><ly-as-10725377>Our Brands</ly-as-10725377></a>
        <a class="menu-link desktop-menu-link" href="/pages/our-story"><ly-as-10725378>Our Story</ly-as-10725378></a>
      </div>
    </div><!-- ".menu-container" -->
    <div id="site-logo" class="logo-container">
      <a href="/">
        {% include 'icon-logo' %}
      </a>
    </div><!-- ".logo-container" -->
    <div class="user-container">
      <div class="menu-inner">
        <button type="button" class="btn--link site-header__icon site-header__search-toggle js-drawer-open-top" data-predictive-search-open-drawer>
          {% include 'icon-search' %}
        </button>
        {% include 'ly-languages-switcher-custom' %}
        <a class="menu-link desktop-menu-link" href="/account"><ly-as-10725379>Account</ly-as-10725379></a>
        <a class="menu-link control-link" href="/cart"><ly-as-10725380>Cart</ly-as-10725380><span class="item-count {% if cart.item_count > 0 %}{{ 'active' }}{% endif %}">{% if cart.item_count > 0 %}({{ cart.item_count }}){% endif %}</span></a>
      </div>
    </div><!-- ".user-container" -->
  </div><!-- ".navigation" -->

  <div class="menu-close menu-link mobile-menu-link"><ly-as-10725381>Close</ly-as-10725381></div>
  <div class="menu-desktop-close" style="color: {{ section.settings.header_color_text }};">&plus;</div>
  <div class="menu" data-default="{{ section.settings.header_color }}" data-image="{% comment %}ly_asset_replace_for_[ 'brand-test.png' | asset_url ]_begin{% endcomment %}{% assign ly_asset = 'brand-test.png' %}{% include 'ly-asset' with ly_asset %}{{ ly_translation  }}{% comment %}ly_asset_replace_end{% endcomment %}">
    <div class="menu-bar"></div>
    <div class="menu-wrap">
      <div class="menu-item has-children" data-menu="shop">
        <div class="menu-label" data-menu="shop"><ly-as-10725376>Shop</ly-as-10725376></div>
        <div class="menu-item-container">
          <div class="shop-column">
            <div class="shop-column-label"><ly-as-10725382>Clothing</ly-as-10725382></div>
            <div class="shop-column-container">
              <ul class="shop-column-menu">
                {% for link in linklists.clothing.links %}
                   <li>{% comment %}ly_code_replace_for_[ link.title | link_to: link.url ]_begin{% endcomment %}{% include 'ly-title' with link %}{{ ly_translation | link_to: link.url }}{% comment %}ly_code_replace_end{% endcomment %}</li>
                {% endfor %}
              </ul>
            </div>
          </div><div class="shop-column">
            <div class="shop-column-label"><ly-as-10725383>Accessories</ly-as-10725383></div>
            <div class="shop-column-container">
              <ul class="shop-column-menu">
                {% for link in linklists.accessories.links %}
                   <li>{% comment %}ly_code_replace_for_[ link.title | link_to: link.url ]_begin{% endcomment %}{% include 'ly-title' with link %}{{ ly_translation | link_to: link.url }}{% comment %}ly_code_replace_end{% endcomment %}</li>
                {% endfor %}
              </ul>
            </div>
          </div><div class="shop-column">
            <div class="shop-column-label"><ly-as-10725384>Lifestyle</ly-as-10725384></div>
            <div class="shop-column-container">
              <ul class="shop-column-menu">
                {% for link in linklists.lifestyle.links %}
                   <li>{% comment %}ly_code_replace_for_[ link.title | link_to: link.url ]_begin{% endcomment %}{% include 'ly-title' with link %}{{ ly_translation | link_to: link.url }}{% comment %}ly_code_replace_end{% endcomment %}</li>
                {% endfor %}
              </ul>
            </div>
          </div>
          {% if section.settings.promo_image %}
            <div class="shop-column shop-promo">
              {% if section.settings.promo_link %}
                <a class="promo-link" href="{{ section.settings.promo_link }}">
              {% endif %}
              <div class="shop-column-label">{{ section.settings.promo_title }}</div>
              <img class="promo-image" src="{{ section.settings.promo_image | img_url: 'large' }}" />
              {% if section.settings.promo_description %}
                <div class="promo-description">{{ section.settings.promo_description }}</div>
              {% endif %}
              {% if section.settings.promo_link %}
                </a>
              {% endif %}
            </div><!-- ".shop-promo" -->
          {% endif %}
          <!-- <div class="shop-column shop-sale">
            <div class="shop-column-label"><ly-as-10725385>Sale</ly-as-10725385></div>
          </div> --><!-- ".shop-sale" -->
        </div>
      </div>
      <div class="menu-item has-children" data-menu="brands">
        <div class="menu-label" data-menu="brands"><ly-as-10725377>Our Brands</ly-as-10725377></div>
        <div class="menu-item-container">
          <div class="brand-image"></div>
          <div class="brand-column">
            <div class="brand-column-container">
              <ul class="brand-column-menu">

                {% for collection in collections %}
                  {% if collection.metafields.csm_collection.brand == 1 %}
                    <li data-color="{% if collection.metafields.csm_collection.background_color %}{% comment %}ly_code_replace_for_[ collection.metafields.csm_collection.background_color ]_begin{% endcomment %}{% assign language = cart.attributes["language"] %}{% if language == nil %}{% assign language = shop.metafields["languages"]["default"] %}{% endif %}{% assign ns = language | append: 'csm_collection' %}{% assign key = 'background_color' %}{% if collection.metafields[ns][key] %}{% assign ly_translation = collection.metafields[ns][key] %}{% else %}{% assign ly_translation =  collection.metafields.csm_collection.background_color  %}{% endif %}{{ ly_translation }}{% comment %}ly_code_replace_end{% endcomment %}{% endif %}"
                        data-image="{% if collection.image %}{{ collection.image | img_url: 'large' }}{% endif %}">
                      <a href="{{ collection.url }}" style="color: {{ section.settings.header_color_text }}" class="notranslate">{% comment %}ly_code_replace_for_[ collection.title ]_begin{% endcomment %}{% include 'ly-title' with collection %}{{ ly_translation }}{% comment %}ly_code_replace_end{% endcomment %}</a>
                    </li>
                  {% endif %}
                {% endfor %}
                
              </ul>
            </div>
          </div>
        </div>
      </div>
      <div class="menu-item" data-menu="story">
        <div class="menu-label">
          <a href="/pages/our-story"><ly-as-10725378>Our Story</ly-as-10725378></a>
        </div>
      </div>
      <div class="menu-item" data-menu="account">
        <div class="menu-label">
          <a href="/account"><ly-as-10725379>Account</ly-as-10725379></a>
        </div>
      </div>
      <div class="menu-item" data-menu="cart">
        <div class="menu-label">
          <a href="/cart"><ly-as-10725380>Cart</ly-as-10725380>
            <span class="item-count {% if cart.item_count > 0 %}{{ 'active' }}{% endif %}">{% if cart.item_count > 0 %}({{ cart.item_count }}){% endif %}</span>
          </a>
        </div>
      </div>
      <div class="brand-marking">
        {% comment %}ly_asset_replace_for_[ 'separateur.png' | asset_url | img_tag ]_begin{% endcomment %}{% assign ly_asset = 'separateur.png' %}{% include 'ly-asset' with ly_asset %}{{ ly_translation  | img_tag }}{% comment %}ly_asset_replace_end{% endcomment %}
      </div><!-- ".brand-marking" -->
    </div><!-- ".menu-right" -->
  </div><!-- ".menu-overlay" -->

</section><!-- ".header" -->

<script type="text/javascript">
  var innerColor = {
    text  : '{{ section.settings.header_text_color }}' || 'white',
    logo  : '#AD966C',
    bg    : '{{ bg_color }}',
  };

  var outerColor = {
    text  : '{{ text_color }}',
    logo  : ('{{ logo_color }}' || '{{ text_color }}') || '#AD966C',
    bg    : '{{ bg_color }}',
  };
</script>

{% schema %}
{
  "name": "Header",
  "settings": [
    {
      "type": "color",
      "id": "header_color",
      "label": "Header overlay color",
      "default": "#000"
    },
    {
      "type": "color",
      "id": "header_color_text",
      "label": "Header text color",
      "default": "#fff"
    },
    {
      "type": "image_picker",
      "id": "promo_image",
      "label": "Promo Image"
    },
    {
      "type": "text",
      "id": "promo_title",
      "label": "Promo Title",
      "placeholder": "New-In"
    },
    {
      "type": "text",
      "id": "promo_description",
      "label": "Promo Description",
      "placeholder": "CSM SS/16"
    },
    {
      "type": "url",
      "id": "promo_link",
      "label": "Promo Link"
    }
  ]
}
{% endschema %}